Configured transaction timeout is overridden with hard-coded value
05/20/2008 09:20 PM - Alex Hall -

Status: Closed Start date:

Priority: High Due date:

Assignee: Paula Gearon % Done: 0%
Category: Mulgara Estimated time: 0.00 hour
Target version:

Resolution: fixed

Description

The transaction timeout for use with database transactions is configurable in the Mulgara config file. However, the configured
transaction timeout is overridden with a hard-coded value of one hour in the DatabaseSession constructor (DatabaseSession.java,
line 238-239) :

<p]’_‘e>

The hard-coded value of one hour is not long enough for loading very large files.

History

#1 - 06/06/2008 05:51 AM - ronald -
Fixed in r977.

To be closed when source:branches/mgr-121-lockrecovery is merged into trunk.

#2 - 07/20/2008 01:04 PM - ronald -
- Status changed from New to Closed

- Resolution set to fixed

Branch merged in r1098.
